Package com.macrofocus.high_d.scatterplotmatrix.javafx

# Class JavaFXScatterPlotMatrix<R,C>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>
com.macrofocus.high_d.scatterplotmatrix.javafx.JavaFXScatterPlotMatrix<R,C>

All Implemented Interfaces:
  `ScatterPlotMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>`

public class JavaFXScatterPlotMatrix<R,C> extends AbstractScatterPlotMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>
Created by luc on 25/04/16.

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrix

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXScatterPlotMatrix()`
  `JavaFXScatterPlotMatrix(ScatterPlotMatrixModel<javafx.scene.paint.Color,R,C> model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ScatterPlotMatrixController`
  `createController(ScatterPlotMatrixView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected ScatterPlotMatrixModel`
  `createScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected ScatterPlotMatrixView`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `javafx.scene.Node`
  `getNativeComponent()`
  `void`
  `setView(ScatterPlotMatrixView<javafx.scene.Node,javafx.scene.paint.Color,R,C> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrix

  `getController, getModel, getView, load, setController, setLicenseKey, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXScatterPlotMatrix

    public JavaFXScatterPlotMatrix()

  - ### JavaFXScatterPlotMatrix

    public JavaFXScatterPlotMatrix(ScatterPlotMatrixModel<javafx.scene.paint.Color,R,C> model)

- ## Method Details

  - ### createScatterPlotMatrixModel

    protected ScatterPlotMatrixModel createScatterPlotMatrixModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Description copied from class: `AbstractScatterPlotMatrix`
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createScatterPlotMatrixModel` in class `AbstractScatterPlotMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### setView

    public void setView(ScatterPlotMatrixView<javafx.scene.Node,javafx.scene.paint.Color,R,C> view)
    Description copied from class: `AbstractScatterPlotMatrix`
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `ScatterPlotMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>`
    Overrides:
      `setView` in class `AbstractScatterPlotMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>`
    Parameters:
      `view` - the view to be used

  - ### createView

    protected ScatterPlotMatrixView createView()
    Description copied from class: `AbstractScatterPlotMatrix`
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractScatterPlotMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>`
    Returns:
      a ParallelCoordinatesView instance

  - ### createController

    protected ScatterPlotMatrixController createController(ScatterPlotMatrixView view)
    Description copied from class: `AbstractScatterPlotMatrix`
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractScatterPlotMatrix<javafx.scene.Node,javafx.scene.paint.Color,R,C>`
    Parameters:
      `view` - the view that should be controlled
    Returns:

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()